<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
</head>
<body bgcolor="#ffffff" text="#000000">
Hi - I've installed
<a class="moz-txt-link-freetext" href="http://ipython.scipy.org/dist/testing/ipython-0.9.rc1.win32-setup.exe">http://ipython.scipy.org/dist/testing/ipython-0.9.rc1.win32-setup.exe</a>
with the Enthought Python 2.5 Distribution (EPD,&nbsp;
<a class="moz-txt-link-freetext" href="http://enthought.com/products/epd.php">http://enthought.com/products/epd.php</a>), DeinoMPI
(<a class="moz-txt-link-freetext" href="http://mpi.deino.net">http://mpi.deino.net</a>), mpi4py (<a class="moz-txt-link-freetext" href="http://pypi.python.org/pypi/mpi4py">http://pypi.python.org/pypi/mpi4py</a>) and
VS03 as I described.&nbsp; VS03's compiler and libraries are required to
build and install mpi4py for EPD, apparently because that's the
original EPD build environment.&nbsp;&nbsp; Have not had a chance to run thorough
tests but everything seems to build and operate correctly.<br>
<br>
Thanks again -<br>
<br>
Alex Brown <a class="moz-txt-link-rfc2396E" href="mailto:Alexander_Brown@uml.edu">&lt;Alexander_Brown@uml.edu&gt;</a><br>
<a class="moz-txt-link-freetext" href="http://gis.uml.edu/abrown2">http://gis.uml.edu/abrown2</a><br>
<br>
<br>
<br>
<br>
Fernando Perez wrote:
<blockquote
 cite="mid:db6b5ecc0808171443m79d47feei293ca67a55622d19@mail.gmail.com"
 type="cite">
  <pre wrap="">On Sun, Aug 17, 2008 at 2:41 PM, Alex Brown <a class="moz-txt-link-rfc2396E" href="mailto:Alexander_Brown@uml.edu">&lt;Alexander_Brown@uml.edu&gt;</a> wrote:
  </pre>
  <blockquote type="cite">
    <pre wrap="">Thanks!   I did get IPython working after your merge, with Python 2.5
(EPD).  There were several steps in the installation.  I am now going into
an IT rework phase to prepare my instructional/computational cluster for the
next semester (reloading disks with 50GB of software and data, including
IPython and MPI) and this should speed things up a great deal.  However,
with my MPI choice for this Win32 cluster (DeinoMPI) the mpi4py installation
requires specifically the 2003 version of the MS Visual Studio C++ compiler
to be present, so it's still going to be a pain in the neck.  But it will
work.  I will try this win32 installer and see if it speeds things up, or
shows any problems.

Thanks again -
    </pre>
  </blockquote>
  <pre wrap=""><!---->
No worries. And please do report back on the list.  The merge of
ipython0/1 was a huge amount of work, but it should put us in a much
better position to move the project forward.  So we'll be glad to hear
your feedback.

Regards,

f

  </pre>
</blockquote>
<br>
</body>
</html>